integrations
Create Integration
Create a new integration.
POST
/
integrations
Create Integration
curl --request POST \
--url https://api.example.com/integrations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"provider": "<string>",
"service_type": "<string>",
"config": {},
"enabled": true
}
'import requests
url = "https://api.example.com/integrations"
payload = {
"provider": "<string>",
"service_type": "<string>",
"config": {},
"enabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({provider: '<string>', service_type: '<string>', config: {}, enabled: true})
};
fetch('https://api.example.com/integrations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": "<string>",
"service_type": "<string>",
"enabled": true,
"status": "<string>",
"health_status": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"last_health_check": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful Response
⌘I
Create Integration
